%define 	xmmsinputplugindir 	%(test -f /usr/bin/xmms-config && /usr/bin/xmms-config --input-plugin-dir || :)

Summary: 	The Free Lossless Audio Codec
Name: 		flac
Version: 	1.1.0
Release: 	0.fdr.16.rh90
Epoch:		0
License: 	LGPL
Group: 		Applications/Multimedia
URL: 		http://flac.sourceforge.net/
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	flac-libs
Provides:	flac-libs = %{epoch}:%{version}-%{release}
BuildRequires:	xmms-devel >= 1:1.2.7
BuildRequires:	doxygen libogg-devel gtk+-devel id3lib-devel
%ifarch %{ix86}
BuildRequires: 	nasm
%endif

%package devel
Summary:	Development files for the Free Lossless Audio Codec.
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%package -n xmms-%{name}
Summary:	XMMS input plugin needed to play FLAC (Free Lossless Audio Codec) files.
Group:		Applications/Multimedia
Requires:	xmms >= 1:1.2.7
Obsoletes:	flac-xmms

#---------------------------------------------------------------------

%description
FLAC is a Free Lossless Audio Codec. The FLAC format supports
streaming, seeking, and archival, and gives 25-75% compression on
typical CD audio.

%description devel
FLAC is a Free Lossless Audio Codec. The FLAC format supports
streaming, seeking, and archival, and gives 25-75% compression on
typical CD audio.
This package contains files needed to develop with FLAC.

%description -n xmms-%{name}
FLAC is a Free Lossless Audio Codec. The FLAC format supports
streaming, seeking, and archival, and gives 25-75% compression on
typical CD audio.
This is the input plugin for XMMS to be able to FLAC files.

#---------------------------------------------------------------------

%prep
%setup -q

#---------------------------------------------------------------------

%build
%configure
make %{_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT __doc
%makeinstall xmmsinputplugindir=$RPM_BUILD_ROOT%{xmmsinputplugindir}
mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} __doc

# No .la files
rm -f $RPM_BUILD_ROOT%{xmmsinputplugindir}/libxmms-flac.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

#---------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING* README 
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/flac.1*
%{_mandir}/man1/metaflac.1*
%{_libdir}/libFLAC.so.*
%{_libdir}/libFLAC++.so.*
%{_libdir}/libOggFLAC.so.*
%{_libdir}/libOggFLAC++.so.*

%files devel
%defattr(-,root,root,-)
%doc __doc/*
%{_libdir}/libFLAC.a
%{_libdir}/libFLAC++.a
%{_libdir}/libOggFLAC.a
%{_libdir}/libOggFLAC++.a
%{_libdir}/libFLAC.so
%{_libdir}/libFLAC++.so
%{_libdir}/libOggFLAC.so
%{_libdir}/libOggFLAC++.so
%{_includedir}/FLAC
%{_includedir}/FLAC++
%{_includedir}/OggFLAC
%{_includedir}/OggFLAC++
%{_datadir}/aclocal/libFLAC++.m4
%{_datadir}/aclocal/libFLAC.m4
%{_datadir}/aclocal/libOggFLAC++.m4
%{_datadir}/aclocal/libOggFLAC.m4

%files -n xmms-%{name}
%defattr(-,root,root,-)
%{xmmsinputplugindir}/libxmms-flac.so

#---------------------------------------------------------------------

%changelog
* Tue Mar 23 2004 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.16
- Fixed some typo

* Mon Mar 22 2004 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.16
- People dont like flac-libs so it needed to die. Bye bye flac-libs

* Sat Dec 13 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.15
- .la files : exclude -> rm

* Thu Oct 30 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.14
- Removed duplicated BuildRequires.

* Wed Oct 29 2003 Ville Skytta <ville.skytta at iki.fi> - 0:1.1.0-0.fdr.13
- Rebuild.

* Tue Oct  7 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.12
- Rebuild

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.11
- Removed comment after scriptlets

* Tue Jun 24 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.10
- Use macro in ifarch condition

* Tue Jun  3 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.10
- Removed URL in Source0
- Moved metaflac manpage in main package instead of -libs

* Mon May  5 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.9
- BuildRequires for nasm is now dependent of the arch (x86)
- buildroot -> RPM_BUILD_ROOT

* Wed Apr 23 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.7
- Renamed flac-xmms into xmms-flac
- Changed xmmsinputplugindir macro definition.

* Thu Apr 17 2003 Warren Togami <warren@togami.com> 0:1.1.0-0.fdr.6
- BuildRequires gtk+-devel

* Thu Apr 17 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.5
- Fixed typo in Group tag
- Added doxygen as BuildRequires

* Fri Apr  4 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.4
- Added URL in Source0

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:1.1.0-0.fdr.3
- Added Requires: to main package
- Added epoch to requires
- Added .so files to the devel package
- Added post and postun scriptlet

* Wed Apr  2 2003 Dams <anvil[AT]livna.org> 
- Initial build.
